Groovy JDK

## javax.swing.tree
Class MutableTreeNode

Method Summary
`MutableTreeNode` | `leftShift(MutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a MutableTreeNode.
`void` | `putAt(int index, MutableTreeNode node)` Allow MutableTreeNode to work with subscript operators.

Method Detail

### leftShift

    public MutableTreeNode leftShift(MutableTreeNode node)

  Overloads the left shift operator to provide an easy way to add nodes to a MutableTreeNode.

Parameters:
  `node` - a node to be added to the treeNode..

Returns:
  same treeNode, after the value was added to it.

Since:
  1.6.4

### putAt

    public void putAt(int index, MutableTreeNode node)

  Allow MutableTreeNode to work with subscript operators.

  WARNING: this operation does not replace the node at the specified index, rather it inserts the node at that index, thus increasing the size of the treeNode by 1.

Parameters:
  `index` - an index.
  `node` - the node to insert at the given index.

Since:
  1.6.4

Groovy JDK